Documentation>C API
Data Fields
VlLiopDesc Struct Reference

LIOP descriptor extractor object.

`#include <liop.h>`

## Data Fields

vl_int | numNeighbours
vl_int | numSpatialBins
float | intensityThreshold
vl_size | dimension
float | neighRadius

## Field Documentation

## ◆ dimension

vl_size VlLiopDesc::dimension

LIOP descriptor size.

## ◆ intensityThreshold

float VlLiopDesc::intensityThreshold

Weight threshold.

## ◆ neighRadius

float VlLiopDesc::neighRadius

Point to neighbour radius (distance).

## ◆ numNeighbours

vl_int VlLiopDesc::numNeighbours

Number of neighbours.

## ◆ numSpatialBins

vl_int VlLiopDesc::numSpatialBins

Number of bins.

The documentation for this struct was generated from the following file:

- liop.h